# saga::mutable_buffer Class Reference

Brief description starts here. More...

`#include <buffer.hpp>`

Inheritance diagram for saga::mutable_buffer:

[legend]

List of all members.

## Public Member Functions
| mutable_buffer (saga::ssize_t size=-1)
| Brief description starts here.
| mutable_buffer (void *data, saga::ssize_t size)
| Brief description starts here.
| mutable_buffer (void *data, saga::ssize_t size, buffer_deleter cb)
| Brief description starts here.
| ~mutable_buffer ()
| Brief description starts here.
void | set_size (saga::ssize_t size=-1)
| Brief description starts here.
void | set_data (void *data, saga::ssize_t size, buffer_deleter cb=default_buffer_deleter)
| Brief description starts here.
void * | get_data ()
| Brief description starts here.

## Detailed Description

Brief description starts here.

## Constructor & Destructor Documentation

saga::mutable_buffer::mutable_buffer | ( | saga::ssize_t | size = `-1` | ) |

Brief description starts here.

saga::mutable_buffer::mutable_buffer | ( | void * | data,
|  | saga::ssize_t | size |
| ) |  |  |

Brief description starts here.

saga::mutable_buffer::mutable_buffer | ( | void * | data,
|  | saga::ssize_t | size,
|  | buffer_deleter | cb |
| ) |  |  |

Brief description starts here.

saga::mutable_buffer::~mutable_buffer | ( |  | ) |

Brief description starts here.

## Member Function Documentation

void saga::mutable_buffer::set_size | ( | saga::ssize_t | size = `-1` | ) |

Brief description starts here.

void saga::mutable_buffer::set_data | ( | void * | data,
|  | saga::ssize_t | size,
|  | buffer_deleter | cb = `default_buffer_deleter` |
| ) |  |  |

Brief description starts here.

void * saga::mutable_buffer::get_data | ( |  | ) |

Brief description starts here.

The documentation for this class was generated from the following files:

- buffer.hpp
- buffer.cpp